#include<iostream>
using namespace std;
int main(){
    long long int v;
    int a,n=0;
    cin>>v;
    while(v>0){
        a=v%10;
        if(a>=5){
            n++;
            a-=5;
        }
        while(a>=2){
            n++;
            a-=2;
        }
        while(a>0){
            n++;
            a--;
        }
        v/=10;
    }
    cout<<n;
    return 0;
}